<template>
  <section id="dashboard-user">
    <b-row class="match-height">
      <b-col
        xl="12"
        md="6"
      >
        <user-statistics />
      </b-col>
    </b-row>

    <b-row class="match-height">
      <b-col lg="5">
            <user-activities-pie />
   

      </b-col>

      <b-col lg="7">
        <activities-table />
      </b-col>

      <b-col
        lg="6"
      >
        <user-goal />
      </b-col>

       <b-col
        lg="6"
      >
        <other-statistics  />
      </b-col>

    </b-row>
  </section>
</template>

<script>
import { BRow, BCol } from 'bootstrap-vue'

import activitiesTable from './activitiesTable.vue'
import userGoal from './userGoal.vue'
import userStatistics from './userStatistics.vue'
import userActivitiesPie from './userActivitiesPie.vue'
import otherStatistics from './otherStatistics.vue'


export default {
  components: {
    BRow,
    BCol,
    activitiesTable,
    userGoal,
    userStatistics,
    userActivitiesPie,
    otherStatistics


  },
  mounted(){
    if (this.hasPermission('view_admin_dashboard')) {
        this.$router.push({name:'dashboard-admin'})
    }
  }
}
</script>

<style lang="scss">
@import '@core/scss/vue/pages/dashboard-ecommerce.scss';
@import '@core/scss/vue/libs/chart-apex.scss';
</style>
